package ir.android_studio.mediaplayer;

import androidx.appcompat.app.AppCompatActivity;

import android.media.MediaPlayer;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;
import java.util.concurrent.TimeUnit;

public class MainActivity extends AppCompatActivity {

    private TextView txtView;
    private Button startBtn, pauseBtn, stopBtn, seektoBtn, isPlayingBtn, positionBtn;
    private MediaPlayer medPlayer;
    private int timeInt;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        txtView = findViewById(R.id.txt_view);
        startBtn = findViewById(R.id.start_btn);
        pauseBtn = findViewById(R.id.pause_btn);
        stopBtn = findViewById(R.id.stop_btn);
        seektoBtn = findViewById(R.id.seekto_btn);
        isPlayingBtn = findViewById(R.id.isplaying_btn);
        positionBtn = findViewById(R.id.position_btn);

        if (medPlayer == null) {
            medPlayer = MediaPlayer.create(this, R.raw.song);
        }

        medPlayer.setLooping(true);

        startBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                medPlayer.start();

                Toast.makeText(MainActivity.this, "موزیک در حال پخش", Toast.LENGTH_SHORT).show();

                timeInt = medPlayer.getDuration();
                audioTime();

            }
        });

        pauseBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                medPlayer.pause();

                Toast.makeText(MainActivity.this, "موزیک موقتا متوقف شد", Toast.LENGTH_SHORT).show();

            }
        });

        stopBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                medPlayer.stop();

                Toast.makeText(MainActivity.this, "موزیک متوقف شد", Toast.LENGTH_SHORT).show();

            }
        });

        seektoBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                medPlayer.seekTo(20000);

                Toast.makeText(MainActivity.this, "موزیک به ثانیه ۲۰ منتقل شد", Toast.LENGTH_SHORT).show();

            }
        });

        isPlayingBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                if (medPlayer.isPlaying()) {

                    txtView.setText("موزیک در حال پخش است");

                } else {

                    txtView.setText("موزیک در حال پخش نیست");

                }

            }
        });

        positionBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                timeInt = medPlayer.getCurrentPosition();
                audioTime();

            }
        });

    }

    public void audioTime() {

        String time = String.format("%02d min, %02d sec",
                TimeUnit.MILLISECONDS.toMinutes(timeInt),
                TimeUnit.MILLISECONDS.toSeconds(timeInt) -
                TimeUnit.MINUTES.toSeconds(TimeUnit.MILLISECONDS.toMinutes(timeInt))
        );

        txtView.setText(time);

    }
}
